## 1.0.0-dev.10.0

- Cloud Firestore: added support for `select`, `offset`, `startAt`,
    `startAfter`, `endAt`, `endBefore`, `FieldValue.delete` and
    `FieldValue.timestamp` (#8).
- Cloud Firestore: deprecated `createGeoPoint` and `createFieldPath`
    functions. These will be hidden from public API before stable
    `1.0.0` release.
- Cloud Firestore: Added `Firestore.documentId()` function as a
    replacement for the library-level `documentId()` function.
    The library-level function is now deprecated and will be removed
    before stable `1.0.0` release.

## 1.0.0-dev.9.0

- Upgraded to JS sdk v5.11.0
- `FirebaseAdmin.initializeApp` can now be invoked without explicit
  credentials, in which case the app will be initialized with Google
  Application Default Credentials (introduced in JS SDK v5.9.1).

## 1.0.0-dev.8.0

- Fixed: GeoPoint treated as invalid type when used in Firebase Functions.

## 1.0.0-dev.7.0

- Added: Firebase Database `Reference.transaction` method.

## 1.0.0-dev.6.0

- Added: following methods to Firebase `Query`: `ref`, `endAt`, `equalTo`,
  `isEqual`, `limitToFirst`, `limitToLast`, `orderByChild`, `orderByKey`,
  `orderByPriority`, `orderByValue`, `startAt`, `toJson`, `toString`.
- Added: Firebase Database `Reference.update` method.

## 1.0.0-dev.5.0

- Added: Auth service implementation. See `App.auth()` method and `Auth` class
  for more details.

## 1.0.0-dev.4.0

- Breaking change: `CollectionReference.add` now expects instance of
  `DocumentData` instead of regular Dart `Map`. Use `DocumentData.fromMap` to
  upgrade from previous version.
- Fixed: Handle nested maps in `DocumentData.fromMap`.

## 1.0.0-dev.3.0

- Added: Firestore `DocumentData.keys` and `DocumentData.toMap()`.

## 1.0.0-dev.2.0

- Fixed: `DocumentQuery.snapshots` was subscribing to a wrong stream of updates.
- Added: `DocumentQuery.get`.

## 1.0.0-dev.1.0

- Breaking change: Depends on Dart SDK >= 2.0.0-dev.
- Breaking change: Depends on node_interop >= 1.0.0-dev.
- Breaking change: removed built_value integration.
- Added: Firestore support.
- Internal: run tests in both dart2js and dartdevc.
- Updated documentation with new instructions.

## 0.1.0-beta.4

- Breaking: `FirebaseAdmin.initializeApp()` now expects new `AppOptions`
    object as the first argument and optional `name` argument. See documentation
    for `FirebaseAdmin.initializeApp()` for more details and example.

## 0.1.0-beta.3

- Updated JS bindings with type arguments for Promises.

## 0.1.0-beta.2

- **New:** Preliminary support for [built_value](https://pub.dartlang.org/packages/built_value) models and serializers.
- **Breaking:** Removed `Js` prefix for interface classes.
- **Breaking:** `Credential` got split in to `CredentialService` and
  `Credential`. Similar changes with `Database` and `DatabaseService`.
- Upgraded to `node_interop: 0.1.0-beta.4`.
- Consolidated all JS bindings in to one file.
- Completed interface bindings for Realtime Database.
- Added interface bindings for Firestore.
- Many dartdoc updates for JS bindings.

## 0.1.0-beta.1

- Breaking change: `FirebaseAdmin.initializeApp()` now accepts separate named
    arguments for credential and databaseURL
- Breaking change: `Credential.cert()` now accepts separate named arguments
    for service account key parameters
- New `Credential.certFromPath()` method added.
- Added `DataSnapshot.forEach()`.
- Many dartdoc updates
- Updated to node_interop `0.1.0-beta.1`

## 0.0.1

- Initial version
